import request from '@/utils/request'

// 查询洗眼器列表
export function listWasher(query) {
  return request({
    url: '/safety/washer/list',
    method: 'get',
    params: query
  })
}

// 查询洗眼器详细
export function getWasher(id) {
  return request({
    url: '/safety/washer/' + id,
    method: 'get'
  })
}

// 新增洗眼器
export function addWasher(data) {
  return request({
    url: '/safety/washer',
    method: 'post',
    data: data
  })
}

// 修改洗眼器
export function updateWasher(data) {
  return request({
    url: '/safety/washer',
    method: 'put',
    data: data
  })
}

// 删除洗眼器
export function delWasher(id) {
  return request({
    url: '/safety/washer/' + id,
    method: 'delete'
  })
}

// 导出
export function exportWasher(query) {
  return request({
    url: 'safety/washer/export',
    method: 'get',
    params: query
  })
}
